package com.bonus.core.common.thridutils.pay.ali.vo;

import java.time.LocalDateTime;

public class AlipayNotifyVO {
   private LocalDateTime notifyTime;
   private String notifyType;
   private String notifyId;
   private String appId;
   private String charset;
   private String version;
   private String signType;
   private String sign;
   private String tradeNo;
   private String outTradeNo;
   private String outBizNo;
   private String buyerId;
   private String buyerLogonId;
   private String sellerId;
   private String sellerEmail;
   private String tradeStatus;
   private String totalAmount;
   private String receiptAmount;
   private String buyerPayAmount;
   private String subject;
   private String body;
   private String fundBillList;
   private String passbackParams;
   private String externalLogonId;

   public LocalDateTime getNotifyTime() {
      return this.notifyTime;
   }

   public String getNotifyType() {
      return this.notifyType;
   }

   public String getNotifyId() {
      return this.notifyId;
   }

   public String getAppId() {
      return this.appId;
   }

   public String getCharset() {
      return this.charset;
   }

   public String getVersion() {
      return this.version;
   }

   public String getSignType() {
      return this.signType;
   }

   public String getSign() {
      return this.sign;
   }

   public String getTradeNo() {
      return this.tradeNo;
   }

   public String getOutTradeNo() {
      return this.outTradeNo;
   }

   public String getOutBizNo() {
      return this.outBizNo;
   }

   public String getBuyerId() {
      return this.buyerId;
   }

   public String getBuyerLogonId() {
      return this.buyerLogonId;
   }

   public String getSellerId() {
      return this.sellerId;
   }

   public String getSellerEmail() {
      return this.sellerEmail;
   }

   public String getTradeStatus() {
      return this.tradeStatus;
   }

   public String getTotalAmount() {
      return this.totalAmount;
   }

   public String getReceiptAmount() {
      return this.receiptAmount;
   }

   public String getBuyerPayAmount() {
      return this.buyerPayAmount;
   }

   public String getSubject() {
      return this.subject;
   }

   public String getBody() {
      return this.body;
   }

   public String getFundBillList() {
      return this.fundBillList;
   }

   public String getPassbackParams() {
      return this.passbackParams;
   }

   public String getExternalLogonId() {
      return this.externalLogonId;
   }

   public void setNotifyTime(final LocalDateTime notifyTime) {
      this.notifyTime = notifyTime;
   }

   public void setNotifyType(final String notifyType) {
      this.notifyType = notifyType;
   }

   public void setNotifyId(final String notifyId) {
      this.notifyId = notifyId;
   }

   public void setAppId(final String appId) {
      this.appId = appId;
   }

   public void setCharset(final String charset) {
      this.charset = charset;
   }

   public void setVersion(final String version) {
      this.version = version;
   }

   public void setSignType(final String signType) {
      this.signType = signType;
   }

   public void setSign(final String sign) {
      this.sign = sign;
   }

   public void setTradeNo(final String tradeNo) {
      this.tradeNo = tradeNo;
   }

   public void setOutTradeNo(final String outTradeNo) {
      this.outTradeNo = outTradeNo;
   }

   public void setOutBizNo(final String outBizNo) {
      this.outBizNo = outBizNo;
   }

   public void setBuyerId(final String buyerId) {
      this.buyerId = buyerId;
   }

   public void setBuyerLogonId(final String buyerLogonId) {
      this.buyerLogonId = buyerLogonId;
   }

   public void setSellerId(final String sellerId) {
      this.sellerId = sellerId;
   }

   public void setSellerEmail(final String sellerEmail) {
      this.sellerEmail = sellerEmail;
   }

   public void setTradeStatus(final String tradeStatus) {
      this.tradeStatus = tradeStatus;
   }

   public void setTotalAmount(final String totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setReceiptAmount(final String receiptAmount) {
      this.receiptAmount = receiptAmount;
   }

   public void setBuyerPayAmount(final String buyerPayAmount) {
      this.buyerPayAmount = buyerPayAmount;
   }

   public void setSubject(final String subject) {
      this.subject = subject;
   }

   public void setBody(final String body) {
      this.body = body;
   }

   public void setFundBillList(final String fundBillList) {
      this.fundBillList = fundBillList;
   }

   public void setPassbackParams(final String passbackParams) {
      this.passbackParams = passbackParams;
   }

   public void setExternalLogonId(final String externalLogonId) {
      this.externalLogonId = externalLogonId;
   }

}
